# Reference

## boost::redis::logger::logger

Constructor from a level.

### Synopsis

Declared in `<boost/redis/logger.hpp>`

    logger(level l = level::info);

### Description

Constructs a logger with the specified level and a logging function that prints messages to `stderr`.

### Exceptions

No‐throw guarantee.

### Parameters

Name | Description
l | The value to set `lvl` to.

Created with MrDocs